> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1authlogintwo factor



## OpenAPI

````yaml https://backend.aflux.ai/openapi post /api/v1/auth/login/two-factor
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/auth/login/two-factor:
    post:
      tags:
        - auth
      operationId: authLoginTwoFactor
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginTwoFactorRequest'
      responses:
        '200':
          description: Success
          headers:
            Set-Cookie:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginResponse'
        default:
          $ref: '#/components/responses/DefaultError'
components:
  schemas:
    LoginTwoFactorRequest:
      type: object
      required:
        - mfaToken
        - code
      properties:
        mfaToken:
          type: string
        code:
          type: string
    LoginResponse:
      type: object
      required:
        - requiresTwoFactor
      properties:
        requiresTwoFactor:
          type: boolean
        accessToken:
          type: string
        user:
          $ref: '#/components/schemas/User'
        mfaToken:
          type: string
    User:
      type: object
      required:
        - id
        - email
        - displayName
        - emailVerified
        - referralCode
        - language
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
        displayName:
          type: string
        emailVerified:
          type: boolean
        referralCode:
          type: string
        language:
          type: string
        createdAt:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````